/*
 * DomainID.java
 * 
 * Copyright 2005-2006 Stefan Reichert.
 * All Rights Reserved.
 * 
 * This software is the proprietary information of Stefan Reichert.
 * Use is subject to license terms.
 * 
 */
package net.sf.wickedshell.domain;

/**
 * @author Stefan Reichert
 * @since 22.10.2006
 */
public class DomainID {

	/** The name of the <code>File</code> containing the list of batchfiles. */
	public static final String BATCH_FILES_FILE = "batchFiles.xml";
	/** The name of the <code>File</code> containing the list of batchfiles. */
	public static final String STATIC_COMPLETIONS_FILE = "staticCompletions.xml";
	/** The name of the <code>File</code> containing the command history. */
	public static final String COMMAND_HISTORY_FILE = "commandHistory.xml";
	/** The name of the <code>File</code> containing the shell style. */
	public static final String SHELL_STYLE_FILE = "shellStyle.xml";
	/** The name of the <code>File</code> containing the shell descriptor configuration. */
	public static final String SHELL_DESCRIPTOR_CONFIGURATION_FILE = "shellDescriptorConfiguration.xml";
	
	/** Descriptor id for Bash (Linux) Shell. */
	public static final String BASH_SHELL_DESCRIPTOR_ID = "net.sf.wickedshell.shell.bash";
	/** Descriptor id for Cmd.exe Shell. */
	public static final String CMD_SHELL_DESCRIPTOR_ID = "net.sf.wickedshell.shell.cmd";
	/** Descriptor id for Command.com Shell. */
	public static final String COMMAND_SHELL_DESCRIPTOR_ID = "net.sf.wickedshell.shell.command";
	/** Descriptor id for Cygwin Bash (Windows) Shell. */
	public static final String CYGWIN_BASH_SHELL_DESCRIPTOR_ID = "net.sf.wickedshell.shell.cygwin";
	/** Descriptor id for MSys SH (Windows) Shell. */
	public static final String MSYS_SH_SHELL_DESCRIPTOR_ID = "net.sf.wickedshell.shell.msys";

	
	/**
	 * Constructor for ShellID.
	 */
	private DomainID() {
		// Avoid instantiation
		super();
	}
}
